%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:           drpython
Version:        3.11.1
Release:        2%{?dist}
Epoch:          1
Summary:        A simple Python IDE designed with teaching in mind
Group:          Development/Tools
License:        GPLv2+
URL:            http://drpython.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.zip
Source1:        %{name}.desktop
Source2:        drpython.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, wxPython-devel, desktop-file-utils, python-setuptools-devel
Requires:       python, wxPython
Buildarch:      noarch

%description
DrPython is a highly customizable cross-platform ide to aid 
programming in Python. It was developed with teaching in mind, 
and has a clean, simple interface. It is written in Python, 
using wxPython as the gui.

%prep
%setup -q -n %{name}_%{version}

# Change Windows line endings to Unix line endings
for file in $(find *.txt *.TXT -type f); do
  sed -i 's/\r//' $file
done

# Remove Windows related files and patch the setup.py file so it doesn't rely on the file
rm -rf tools/
rm -f setup.cfg


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install_lib --skip-build -d $RPM_BUILD_ROOT%{python_sitelib}
install -pm 0655 build/lib/%{name}/%{name}.py $RPM_BUILD_ROOT%{python_sitelib}/%{name}/drpython.py
install -pm 0655 build/lib/%{name}/documentation/pyrst2html.py $RPM_BUILD_ROOT%{python_sitelib}/%{name}/documentation/pyrst2html.py
install -pm 0655 build/lib/%{name}/documentation/drdoc.py $RPM_BUILD_ROOT%{python_sitelib}/%{name}/documentation/drdoc.py
for f in drpython* ;
     do install -pm 0655 $f $RPM_BUILD_ROOT%{python_sitelib}/%{name}/$f
     done
install -pm 0655 build/lib/%{name}/lnkDecoderRing.py $RPM_BUILD_ROOT%{python_sitelib}/%{name}/lnkDecoderRing.py
install -pm 0655 build/lib/%{name}/drZip.py $RPM_BUILD_ROOT%{python_sitelib}/%{name}/drZip.py
install -pm 0655 build/lib/%{name}/drSetupPreferences.py $RPM_BUILD_ROOT%{python_sitelib}/%{name}/drSetupPreferences.py
install -pDm 0644 build/lib/%{name}/bitmaps/drpython.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/drpython.png
install -pDm 0655 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/drpython


desktop-file-install --vendor="fedora"                  \
     --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
     %{SOURCE1}

iconv -f ISO_8859-1 -t utf8 Changelog.txt --output Changelog.utf8
touch -r Changelog.txt Changelog.utf8
mv Changelog.utf8 Changelog.txt

iconv -f ISO_8859-1 -t utf8 History.txt --output History.utf8
touch -r History.txt History.utf8
mv History.utf8 History.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc Notes.txt todo.txt README.TXT Changelog.txt History.txt
%docdir %{python_sitelib}/%{name}/documentation/
%{python_sitelib}/%{name}/
%{_datadir}/applications/fedora-drpython.desktop
%{_datadir}/pixmaps/drpython.png
%{_bindir}/drpython
%exclude %{python_sitelib}/%{name}/postinst.py

%changelog
* Tue Oct 27 2009 Marc Wiriadisastra <marc@mwiriadi.id.au> - 1:3.11.1-2
- Fix upgrade path cause I'm dumb

* Tue Oct 27 2009 Marc Wiriadisastra <marc@mwiriadi.id.au> - 3.11.1-1
- Fixed drpython desktop file which solves bz 487798
- New upstream release which fixes a lot of bugs refer to Changelog

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.11.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Marc Wiriadisastra <marc@mwiriadi.id.au> - 1:3.11.0-5
- Fixed the drpython bin file to look for python instead of hard coding the python location

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1:3.11.0-3
- Rebuild for Python 2.6

* Mon Mar 24 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 1:3.11.0-2
- Added epoch 1 as requested

* Mon Mar 24 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 3.11.0-1
- new release
- new numbering system

* Thu Jan 17 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 165-3.1
- Added patch for wxversion in F-7

* Sat Jan 5 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 165-3
- Fixed tabs spaces error in spec file

* Fri Jan 4 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> 165-2
- Added bash script under /usr/bin
- Cleaned up spec file
- fixed icon and desktop file

* Wed Dec 26 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> 165-1
- Remove windows related files and config files
- Initial spec file
